Subject: Re: [PATCH v2 13/21] config: plug various memory leaks

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 24 May 2024 12:13:49 +0200

On Fri, May 24, 2024 at 12:04:12PM +0200, Patrick Steinhardt wrote:
> Now that memory ownership rules around `git_config_string()` and
> `git_config_pathname()` are clearer, it also got easier to spot that
> the returned memory needs to be free'd. Plug a subset of those cases and
> mark now-passing tests as leak free.

Junio,

this mail now uses UTF-8 as encoding. Does that fix the issues for you?

Patrick